Package com.pixelmed.convert

# Class TIFFPixelMessageDigest

java.lang.Object
com.pixelmed.convert.TIFFPixelMessageDigest

public class TIFFPixelMessageDigest extends Object

A class for computing message digests of pixel data, decompressed if compressed, from TIFF files.

## Constructor Summary

Constructors
Constructor
Description
`TIFFPixelMessageDigest(String inputFileName)`
Read a TIFF image input format file consisting of one or more pages or tiles, and compute message digest of pixel data, decompressed if compressed.

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`
Read a TIFF image input format file consisting of one or more pages or tiles, and compute message digest of pixel data, decompressed if compressed.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TIFFPixelMessageDigest

public TIFFPixelMessageDigest(String inputFileName) throws IOException, TIFFException, NumberFormatException

Read a TIFF image input format file consisting of one or more pages or tiles, and compute message digest of pixel data, decompressed if compressed.

Parameters:
  `inputFileName` -
Throws:
  `IOException`
  `TIFFException`
  `NumberFormatException`

## Method Details

### main

public static void main(String[] arg)

Read a TIFF image input format file consisting of one or more pages or tiles, and compute message digest of pixel data, decompressed if compressed.

Parameters:
  `arg` - one parameter, the TIFF inputFile